Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class ParserController

    java.lang.Object
      |
      +--org.apache.jasper.compiler.ParserController

public class ParserController
extends java.lang.Object

Controller for the parsing of a JSP page.

A translation unit (JSP source file and any files included via the include directive) may involve the processing of JSP pages written with different syntaxes (currently the original JSP syntax, as well as the XML syntax (as of JSP 1.2)). This class encapsulates the behavior related to the selection and invocation of the proper parser. Note: There's some 'commented out' code that would allow the dynamic generation of a DTD so we could use a validating parser. Should be working, but would like to investigate XML schema before using validating parser.

Author:
  Pierre Delisle

Constructor Summary
`ParserController(JspCompilationContext ctxt)`

Method Summary
`ParseEventListener` | `getParseEventListener()`
`void` | `parse(java.lang.String inFileName)` Parse the jsp page provided as an argument.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParserController

    public ParserController(JspCompilationContext ctxt)

Method Detail

### getParseEventListener

    public ParseEventListener getParseEventListener()

### parse

    public void parse(java.lang.String inFileName)
               throws java.io.FileNotFoundException,
                      JasperException

  Parse the jsp page provided as an argument. First invoked by the compiler, then invoked recursively by the parser event handler for each 'include' directive.

    `java.io.FileNotFoundException`
    `JasperException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.